Subject: Re: [PATCH v2] e1000e: Assign true and false to bool type variable instead of 1 and 0

From: Michael Wang <[email-masked]>
Date: Wed, 07 Dec 2011 17:15:42 +0800

On 12/07/2011 05:04 PM, Jeff Kirsher wrote:

> On Tue, 2011-12-06 at 22:36 -0800, Michael Wang wrote:
>> On 12/07/2011 02:19 PM, Joe Perches wrote:
>>
>>> On Wed, 2011-12-07 at 14:08 +0800, Michael Wang wrote:
>>>> I'm not good at script, if you are interested, we can work together
>> to
>>>> fix all the remain cases, and send out some patches.
>>>
>>> You should try coccinelle and spatch.
>>>
>>
>> Hi, Joe
>>
>> I have not used coccinelle and spatch before, I will study on them
>> later.
>>
>>> If you run the script, this is the intel output.
>>>
>>>  drivers/net/ethernet/intel/e1000/e1000_main.c |   10 +++++-----
>>>  drivers/net/ethernet/intel/ixgb/ixgb_main.c   |    2 +-
>>>  drivers/net/ethernet/intel/ixgbe/ixgbe_main.c |    2 +-
>>>  drivers/net/ethernet/intel/ixgbe/ixgbe_phy.c  |    4 ++--
>>>  4 files changed, 9 insertions(+), 9 deletions(-)
>>
>>
>> We can try to fix them, thanks for the suggestion.
>>
>> Regards,
>> Michael Wang 
> 
> So should I expect a v3 of this patch?
> 

Hi, Jeff

Please use the v2 first, because what Joe described will have a
different meaning and edit different files.

> Also I am fine with lumping all the changes for all our drivers in one
> patch as long as the changes for each driver are somewhat small.  If the
> changes for a particular driver gets too extensive, please create a
> separate patch.

I think separate such patch according to files will be better.

Thanks,
Michael Wang

> Cheers,
> Jeff

------------------------------------------------------------------------------
Cloud Services Checklist: Pricing and Packaging Optimization
This white paper is intended to serve as a reference, checklist and point of 
discussion for anyone considering optimizing the pricing and packaging model 
of a cloud services business. Read Now!
http://www.accelacomm.com/jaw/sfnl/114/51491232/
_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired